{%- set mypillar = 'profile:matterbridge' -%}
{%- set instances = salt['pillar.get'](mypillar ~ ':instances') or [] -%}

matterbridge_packages:
  pkg.installed:
    - pkgs:
      - matterbridge

matterbridge_directory:
  file.directory:
    - user: root
    - group: matterbridge
    - clean: True
    - require:
      - pkg: matterbridge_packages
{%- if instances | length > 0 %}
      - file: matterbridge_files
{%- endif %}
    - names:
      - /etc/matterbridge

{%- if instances | length > 0 %}
matterbridge_files:
  file.managed:
    - user: root
    - mode: '0644'
    - template: jinja
    - source: salt:///{{ slspath }}/files/etc/matterbridge/matterbridge.toml.j2
    - names:
{%- for instance in instances %}
      - /etc/matterbridge/{{ instance }}.toml:
        - context:
            instance: {{ instance }}

matterbridge_{{ instance }}_service:
  service.running:
    - name: matterbridge@{{ instance }}.service
    - enable: True
{%- endfor %}
{%- endif %}

matterbridge_cleanup_timer:
  service.running:
    - name: matterbridge-cleanup.timer
    - enable: True
